# Interface methods for submodule: NarrowBandThresholdSegmentationLevelSetImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import NarrowBandLevelSetImageFilterProxy as _NarrowBandLevelSetImageFilterProxy


# Interface methods for class: NarrowBandThresholdSegmentationLevelSetImageFilter
class NarrowBandThresholdSegmentationLevelSetImageFilterProxy(_NarrowBandLevelSetImageFilterProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def SetUpperThreshold(self, v: float) -> None:
		""""""
		...

	def SetLowerThreshold(self, v: float) -> None:
		""""""
		...

	def GetUpperThreshold(self) -> float:
		""""""
		...

	def GetLowerThreshold(self) -> float:
		""""""
		...

	def SetEdgeWeight(self, v: float) -> None:
		""""""
		...

	def GetEdgeWeight(self) -> float:
		""""""
		...

	def SetSmoothingIterations(self, v: int) -> None:
		""""""
		...

	def GetSmoothingIterations(self) -> int:
		""""""
		...

	def SetSmoothingTimeStep(self, v: float) -> None:
		""""""
		...

	def GetSmoothingTimeStep(self) -> float:
		""""""
		...

	def SetSmoothingConductance(self, v: float) -> None:
		""""""
		...

	def GetSmoothingConductance(self) -> float:
		""""""
		...

